Пользователь
0,0
рейтинг
26 октября 2013 в 20:17

Разработка → Вышел WordPress 3.7 “Basie”



24 октября была выпущена очередная версия известной CMS Wordpress. Wordpress 3.7 носит название 'Basie' в честь известного джазового пианиста Каунта Бэйси.

Нововведения


В этом релизе были сделаны важные архитектурные обновления:
  • Автоматическое обновление: теперь WordPress будет выполнять обновления в фоновом режиме, не требуя вашего участия. Кроме того, сам процесс обновления сделан более безопасным и надежным.
  • Улучшены рекомендации по созданию пароля. Ваш пароль — это первая линия обороны сайта в случае хакерской атаки, поэтому разработчики ввели более жесткую проверку пароля. Теперь WordPress сообщит вам о низком уровне безопасности, если пароль сайта будет содержать даты, имена, часть алфавита или раскладки клавиатуры («abcdefg», «qwerty') и подобные вещи.
  • Улучшена поддержка локализации. Wordpress сам отследит и установит все обновления, связанные с локализацией блога. Это сделано в первую очередь для поддержки неанглоязычных блогов.

Так же вас ждут более 400 закрытых задач в Trac, множество возможностей для управления автоматическим обновлением, поддержка более сложных date query и другие фишки, узнать подробнее о которых можно в кодексе.
Следующая версия Wordpress будет выпущена в декабре.
Андрей @Scorpion97
карма
25,7
рейтинг 0,0
Реклама помогает поддерживать и развивать наши сервисы

Подробнее
Спецпроект

Самое читаемое Разработка

Комментарии (19)

  • +3
    Автоматическое обновление: теперь WordPress будет выполнять обновления в фоновом режиме, не требуя вашего участия.

    Ужас какой. Кто уже пользовался? Отключить можно?
    • 0
      Судя по тому, что добавлены возможности для управления обновлением, отключить можно. Но точно мне еще не известно.
    • +3
      И достаточно просто — определяем константы в wp-config.php:
      # Disables all core updates:
      define( 'WP_AUTO_UPDATE_CORE', false );
       
      # Enables all core updates, including minor and major:
      define( 'WP_AUTO_UPDATE_CORE', true );
       
      # Enables core updates for minor releases (default):
      define( 'WP_AUTO_UPDATE_CORE', 'minor' );
      
  • +3
    Почему ужас? Большинству заказчиков, нанимающих студентов за копейки для создания микросайтов — визиток будет полезно. Ведь сколько уже раз видел — сайт был сделан хрен знает когда, ни разу не обновлялся и порос плесенью.

    Мне кажется, говорить, что это «ужас» — профессиональный снобизм.
    • +1
      Это ужасно в том случае, если Вам как-раз таки не надо, чтобы CMS самопроизвольно обновлялась, а нужно, чтобы у Вас стояла именно эта версия Wordpress.
      • 0
        Согласен, но я уверен, что это решаемо.
        • 0
          Наверняка решаемо, ибо разработчики не могут поступать так радикально и лишать всех пользователей возможности управлять обновлением.
          • 0
            На крайний случай: никто не запрещает редактировать исходники.
            • 0
              Это уже на самый крайний случай. Стандарты разработчиков Wordpress не то, чтобы запрещают, но сильно не приветствуют вмешательство в ядро.
          • +2
            Здесь нет ничего радикального, автоматически будут ставиться только корректирующие обновления. Например, 3.7.1, 3.7.2 и т.д. Сделано ввиду того, что у вордпресса постоянно вылезают серьезные уязвимости, которые нужно закрыть моментально. Никаких серьезных изменений функционала они не касаются.
            А до 3.8, скажем, администратор должен будет обновиться сам.
    • +3
      Ваша правда.

      Я говорил именно как разработчик, который работал с Wordpress. Когда тебя просят переписать плагин/шаблон, потому что случайно обновили сам движок — это конечно прибыльно, но вот если бы заказчик подождал сутки-двое, пока сами разработчики обновят компоненты, а уж после этого жал на ссылочку «Пожалуйста, обновитесь», проблем было бы меньше. Потому и не вижу смысла в этом автообновлении. Разве что при использовании совсем чистого Wordpress, да только кто в наше время так делает?

      Принцип «Мы обо всем позаботимся за вас» очень редко приносит какую-то реальную пользу, чаще от него лишь проблемы.
      • –2
        Если плагин или тема перестали работать после обновления движка Wordpress, то это говорит о том, что этот плагин или тема сделаны без соблюдения стандартов, или выражаясь проще — говнокод. Как правило, большинство плагинов, которые работали с версией 2.5, будут прекрасно работать и с 3.7. Но я бы всё равно отключил автообновление — просто не люблю, когда какой-то софт решает, что он умнее разработчика :)
      • +3
        В наше время так, например, делает chrome
    • 0
      Есть целый ряд плагинов, который не успевает обновиться вслед за новой версией вордпресса. Разработчики за этим следят, но конфузы бывают. Поэтому будет очень неинтересно, если ворбпресс автоматически обновится, а какой-то плагин — не успеет и отвалится. В ручном режиме за этим можно следить и пакетно всё обновлять проведя подготовительную работу. В автоматическом — фиг его знает что будет.
      • 0
        Ну опять же, не вникнув в тему поглубже, какие-то необоснованные рассуждения. Я писал об этом уже выше, почитайте.
        • 0
          Ну обоснованными они станут, когда таким образом накатится несколько обновлений, и процесс либо однозначно понравится, либо однозначно нет. Сейчас это просто нытьё перед новинкой сомнительного качества. ;)
          • 0
            Ну у меня сегодня автоматически до 3.7.1 не обновилось.
            • 0
              Первые обновления начали с небольшого процента сайтов, увеличивая его каждый час.

              На текущий момент автоматические обновления доступны для всех англоязычных установок, локализованные должны обновиться чуть позже: http://core.trac.wordpress.org/ticket/25780#comment:2.
            • 0
              Забыл тогда отписать: у меня все сайты синхронно обновились и прислали письма класса «вот мы и обновились, радуйтесь».

Только зарегистрированные пользователи могут оставлять комментарии. Войдите, пожалуйста.